﻿using Luticate2.Auth.Dbo.Users;
using Luticate2.Auth.Interfaces.Users;
using Microsoft.AspNetCore.Http;

namespace Luticate2.Auth.Controllers
{
    public class LuLoggedUserAccessor : ILuLoggedUserAccessor
    {
        private readonly IHttpContextAccessor _httpContextAccessor;

        public LuLoggedUserAccessor(IHttpContextAccessor httpContextAccessor)
        {
            _httpContextAccessor = httpContextAccessor;
        }

        public LuUsersFullDbo GetLoggedUser()
        {
            return _httpContextAccessor.HttpContext.GetLuLoggedUser();
        }
    }
}