﻿using Luticate2.Utils.Dbo.Result;

namespace Luticate2.Auth.Interfaces.Permissions
{
    public interface ILuPermissionsBusiness
    {
        LuResult<bool> GetPermissionValue(string permissionName, string srcEntityType, object srcEntity,
            string dstEntityType, object dstEntity);

        LuResult<bool> GetPermissionEffectiveValue(string permissionName, string srcEntityType, object srcEntity,
            string dstEntityType, object dstEntity);
    }
}