﻿using Luticate2.Auth.Dbo.Groups;
using Luticate2.Auth.Interfaces.Groups;
using Luticate2.Utils.Dbo.Result;
using Luticate2.Utils.Utils;
using Xunit;

namespace TestAuth.Business
{
    public class LuGroupsBusinessTest
    {
        [Fact]
        public void Test1()
        {
            Tests.TestRealDb<ILuGroupsBusiness>(business =>
            {
                var res = business.AddDbo(new LuGroupsAddDbo
                {
                    Name = "Test."
                });
                Assert.Equal(LuStatus.Success, res.Status);
            });
        }
    }
}