﻿using System;
using Luticate2.Utils.Business;
using Luticate2.Utils.Interfaces;
using TestUtils.DataAccess;
using TestUtils.Dbo.PkGuid;

namespace WebApiUtils.Business
{
    public class PkGuidsBusiness : LuCrudBusiness<LuUtilsPkGuidDataAccess, PkGuidAddDbo, PkGuidDbo, PkGuidAddDbo, string>
    {
        public PkGuidsBusiness(LuUtilsPkGuidDataAccess dataAccess, IServiceProvider serviceProvider) : base(dataAccess, serviceProvider)
        {
            AddListener<ILuCrudWebSocketNotificationsBusiness>();
        }
    }
}