﻿using Luticate2.Auth.Interfaces.Permissions;
using Luticate2.Auth.Interfaces.Users;
using Microsoft.AspNetCore.Mvc.Filters;

namespace Luticate2.Auth.Attributes.EntityAccessors
{
    public class LuAttrLoggedUserAccessor : ILuAttrEntityAccessor
    {
        private readonly ILuLoggedUserAccessor _loggedUserAccessor;

        public LuAttrLoggedUserAccessor(ILuLoggedUserAccessor loggedUserAccessor)
        {
            _loggedUserAccessor = loggedUserAccessor;
        }

        public object GetEntity(ActionExecutingContext context, object id)
        {
            return _loggedUserAccessor.GetLoggedUser();
        }
    }
}